// VARIABLES
 SERIE = 0;
 A1 = 0;  D1 = 0;  A2 = 0;   A3 = 0;  A4 = 0;   A5 = 0;
 A6 = 0;  D2 = 0;  D3 = 0;   D4 = 0;  D5 = 0;   D6 = 0;
 A7 = 0;  D7 = 0;  D8 = 0;   D9 = 0;  D10 = 0;   
 A8 = 0;  A9 = 0;   A10 = 0;
 C = 0; L = 0; SERIE_NAME = '';
 Lo_D = 0; Hi_D = 0; Lo_R = 0 ; Hi_R = 0;
 xn = 0; xcomp = 0; xd = 0; 


// GUI PRINCIPAL
main = figure("figure_name", gettext("SWaveMenu GUI"),...
"infobar_visible", "off",...
"toolbar_visible", "off",...
"dockable", "off",...
"menubar", "none",...
"default_axes", "off", ...
"Position",[100 50 280 590],...
"resize", "off",...
"BackgroundColor", [0.9 0.9 0.9],...
"Tag", "figure_principal");

////////////////////////////////////////////////////////////////////////////////////////////////////////// A popup menu
popup_demo = uicontrol(main, "Position", [20 500 240 20],...
"Style", "popupmenu",...
"String", gettext("haar|db1|db2|db3|db4|db5|db6|coif1|coif2|coif3|coif4|coif5|coif6|sym2|sym3|sym4|sym5|sym"),...
"Callback", "wavename=popupmenu_callback();",...
"Tag", "popupmenu_demo");
popup_demo_title = uicontrol(main, "Position", [26 530 80 15],...
"Style", "text",...
"FontSize", 11,...
"String", gettext("Tipo de Wavelet"),...
"BackgroundColor", [0.9 0.9 0.9]);

popup_level = uicontrol(main, "Position", [20 420 240 20],...
"Style", "popupmenu",...
"String", gettext("1|2|3|4|5|6|7|8|9|10"),...
"Callback", "wavelevel=popupmenu2_callback();",...
"Tag", "popupmenu_level");
popup_level_title = uicontrol(main, "Position", [26 450 80 15],...
"Style", "text",...
"FontSize", 11,...
"String", gettext("Nivel de Wavelet"),...
"BackgroundColor", [0.9 0.9 0.9]);

disp_button = uicontrol(main, "Position", [20 350 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Analizar"),...
"callback", "[C,L]=procesar(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");

disp_button2 = uicontrol(main, "Position", [20 300 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Analizar A y D"),...
"callback", "[A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10]=procesarAD(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");

disp_button3 = uicontrol(main, "Position", [20 250 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Analizar COEF cA y cD"),...
"callback", "[cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10]=procesarCOEFAD(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");


//disp_button3 = uicontrol(main, "Position", [20 250 190 25], ...
//"Style", "pushbutton",...
//"FontSize", 11,...
//"String", gettext("Paso 3 - Procesar Filtros"),...
//"callback", "[Lo_D,Hi_D,Lo_R,Hi_R]=procesarFILTRO(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");


disp_button4 = uicontrol(main, "Position", [20 200 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Procesar D-NOISE"),...
"callback", "[xd]=procesarDNOISE(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");

disp_button5 = uicontrol(main, "Position", [20 150 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Procesar Tra.D.Fourier"),...
"callback", "[xd]=procesarFOURIER(disp(SERIE_NAME))");

disp_button6 = uicontrol(main, "Position", [20 100 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Deteccion Patrones Cortos Señales Grandes"),...
"callback", "[xd]=procesarCORR(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");

disp_button7 = uicontrol(main, "Position", [20 50 240 25], ...
"Style", "pushbutton",...
"FontSize", 11,...
"String", gettext("Coif N4 / Correl 2 Señales"),...
"callback", "[xd]=procesarCORRE2(disp(SERIE_NAME),disp(wavename),disp(wavelevel))");

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


//Menu /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
appli_menu = uimenu("Parent", main, "Label", gettext("Archivo"));
import_menu = uimenu("Parent", appli_menu, "Label", gettext("Importar de File"), "callback", "[SERIE_NAME,SERIE,x,file_name,xlabel1,ylabel1]=importar_serie_file();");
serie_ejemplo = uimenu("Parent",  appli_menu, "Label", gettext("Generar Series Ejemplo"));
import_menu3 = uimenu("Parent", serie_ejemplo, "Label", gettext("Ej: (10*x.^2).*(2-x).^6.*sin(5*%pi.*x)"), "callback", "[SERIE_NAME,SERIE]=generar_serie();");
import_menu4 = uimenu("Parent", serie_ejemplo, "Label", gettext("Ej: (4*(x.^2)).*((1-x).^3).*((2-x^2).*cos((18*x).*(1+x)) y ruido white 25db"), "callback", "[SERIE_NAME,SERIE]=generar_serie2();");
import_menu5 = uimenu("Parent", serie_ejemplo, "Label", gettext("Ej: 2*cos(4*pi*x)+0.5*sin(24*pi*x)"), "callback", "[SERIE_NAME,SERIE]=generar_serie3();");
import_menu6 = uimenu("Parent", serie_ejemplo, "Label", gettext("Ej: (1+2*cos(24*pi*t))./(1+4*t.^2)"), "callback", "[SERIE_NAME,SERIE]=generar_serie4();");
import_menu7 = uimenu("Parent", serie_ejemplo, "Label", gettext("Ej: 0.7*sin(2*pi*50*t) + sin(2*pi*120*t) y ruido blanco"), "callback", "[SERIE_NAME,SERIE]=generar_serie5();");
close_menu = uimenu("Parent", appli_menu, "Label", gettext("Cerrar SWaveMenu"), "callback", "close_uicontrols();");
quit_menu = uimenu("Parent", appli_menu, "Label", gettext("Salir"), "callback", "exit_scilab();");

plot_menu = uimenu("Parent", main, "Label", gettext("Graficar"));
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar Serie Original"), "callback", "plot_graficar_serie(disp(SERIE_NAME))");
//plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar C"), "callback", "plot_graficar_C(C);");
//plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar L"), "callback", "plot_graficar_L(L);");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar A y D Full"), "callback", "plot_graficar_AD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10);");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar A y D Separate"), "callback", "plot_graficar_AD2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10);");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar COEF A y D Full"), "callback", "plot_graficar_COEFAD(cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10);");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar COEF A y D Full / TDFourier"), "callback", "plot_graficar_COEFADFOURIER(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10);");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar COEF A y D Separate"), "callback", "plot_graficar_COEFAD2(cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10);");

plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar Histograma"), "callback", "plot_graficar_H();");
plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar Histograma Aprox y Detalle"), "callback", "plot_graficar_ADH();");
//plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar Filtros"), "callback", "plot_graficar_FILTRO(Lo_D,Hi_D,Lo_R,Hi_R);");
//plot_serie_menu = uimenu("Parent", plot_menu, "Label", gettext("Graficar DNOISE"), "callback", "plot_graficar_DNOISE(xn,xcomp,xd);");


acerca_menu = uimenu("Parent", main, "Label", gettext("Acerca de..."), "callback", "acerca();");
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// FUNCIONES
function acerca()
    res = messagebox(_(["SWaveMenu GUI Versión 1.0 - FCEFN UNSJ";
    "                          ";
    "Dra. María Luisa Gordillo ";
    "Programación. Mg. Héctor Lépez";
    "Año 2019 - Programa de Investigación";]), _("Acerca de SWAVEMENU GUI"), "info", _(["Cerrar"]), "modal");
endfunction

function exit_scilab()
    msg = gettext("¿Desea Salir de SCILAB?");
    answ = messagebox(msg, gettext("Salir Scilab"), "question", [gettext("Si") gettext("No")], "modal");
    if answ==1 then



        exit;
    end
endfunction

function close_uicontrols()
    msg = gettext("¿Desea Salir de SWAVEMENU?");
    answ = messagebox(msg, gettext("Salir Aplicación"), "question", [gettext("Si") gettext("No")], "modal");
    if answ==1 then
     delete(get("figure_principal"));
    end
endfunction

function [serie_name,s,x,file_name,xlabel1,ylabel1]=importar_serie_file()
    camino=pwd();
    file_name = x_dialog(_("Ingrese el Nombre Del Archivo Guardado en "+camino), "IB3.csv");
    s=csvRead(file_name);
    serie_name= "SERIE";
    
    file_name_x = x_dialog(_("Ingrese el Nombre Del Archivo Serie Abscisa X Guardado en "+camino), "EJE_X.csv");
    x=csvRead(file_name_x);

    xlabel1 = x_dialog(_("Ingrese el Nombre de la Abscisa, ejemplo: "), "Ts-ms");
    ylabel1 = x_dialog(_("Ingrese el Nombre de la Ordenada, ejemplo: "), "Amp");


    //x=[0:0.001:0.255]'; 
    f=scf(1) //get the handle of the current figure :
    f.figure_position=[400,50]
    f.figure_size=[800,620]
    f.menubar_visible="on"
    f.children  // man can see that an Axes entity already exists
    leyenda=string("Señal: " + string(file_name))
    xlabel(xlabel1);
    ylabel(ylabel1);
    plot2d(x,s,leg=leyenda,style=[color("red")]);
    xgrid;
endfunction

function [serie_name,s]=generar_serie()
t=0:2/1023:2; 
s=((10*t.^2).*(2-t).^6).*sin(5*%pi.*t);
serie_name = "SERIE";
messagebox(_(["Se genero la serie x=0:2/1023:2"; 
"SERIE=(10*x.^2).*(2-x).^6.*sin(5*%pi.*x)";]),_("Serie Ejemplo"), "info", _(["Cerrar"]), "modal");      
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(s,leg="Serie Original",style=[color("red")]);
xgrid;
endfunction


function [serie_name,s]=generar_serie2()
a=0;
b=2;
N=2^11;
x=a:(b-a)/(N-1):b;
s_o=(4*(x.^2)).*((1-x).^3).*((2-x).^2).*cos((18*x).*(1+x));
s=awgn(s_o,0.05,'r');
serie_name = "SERIE";
   messagebox(_(["Se genero la serie x=0:(2)/(2048-1):2;"; 
   "SERIE=(4*(x.^2)).*((1-x).^3).*((2-x).^2).*cos((18*x).*(1+x))";]),_("Serie Ejemplo"), "info", _(["Cerrar"]), "modal");
   f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
subplot(2,1,1);
plot2d(s_o,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(2,1,2);
plot2d(s,leg="Serie con Ruido Agregado",style=[color("blue")]);
xgrid;
endfunction

function [serie_name,s]=generar_serie3()
a=-16;
b=16;
N=2^10;
t=a:(b-a)/(N-1):b;
s=2*cos(4*%pi*t)+0.5*sin(24*%pi*t);
serie_name = "SERIE";
messagebox(_(["Se genero la serie"; 
"SERIE=2*cos(4*pi*t)+0.5*sin(24*pi*t)";]),_("Serie Ejemplo"), "info", _(["Cerrar"]), "modal");      
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(s,leg="Serie Original",style=[color("red")]);
xgrid;
endfunction

function [serie_name,s]=generar_serie4()
a=-16;
b=16;
N=2^10;
t=a:(b-a)/(N-1):b;
s=(1+2*cos(24*%pi*t))./(1+4*t.^2);
serie_name = "SERIE";
messagebox(_(["Se genero la serie"; 
"SERIE=(1+2*cos(24*%pi*t))./(1+4*t.^2)";]),_("Serie Ejemplo"), "info", _(["Cerrar"]), "modal");      
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(s,leg="Serie Original",style=[color("red")]);
xgrid;
endfunction

function [serie_name,s]=generar_serie5()
Fs = 1000;
T = 1/Fs;
L = 1500;
t = (0:L-1)*T;
S1=(0.7*sin(2*%pi*50*t) + sin(2*%pi*120*t));

//s = S1 + 2*rand(size(t));
s=awgn(S1,0.5,'r');
//s=S1;
serie_name = "SERIE";
messagebox(_(["Se genero la serie con rudio"; 
"SERIE=0.7*sin(2*pi*50*t) + sin(2*pi*120*t)";]),_("Serie Ejemplo"), "info", _(["Cerrar"]), "modal");      
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
//plot2d(s,leg="Serie Original",style=[color("red")]);
plot(1000*t(1:50),s(1:50))
xgrid;
endfunction


function plot_graficar_serie(SERIE)
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
endfunction

function plot_graficar_H()
bins = x_dialog(_("Ingrese cantidad de bins: por defecto 30"), "30");
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
subplot(2,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
subplot(2,1,2);
histplot(strtod(bins), SERIE, ,normalization=%t ,style=2);


endfunction


function plot_graficar_ADH()
bins = x_dialog(_("Ingrese cantidad de bins: por defecto 30"), "30");
f=scf(1) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists

if wavelevel == "1" then
subplot(1,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(1,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")
end


if wavelevel == "2" then
subplot(2,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(2,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(2,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(2,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")
end


if wavelevel == "3" then
subplot(3,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(3,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(3,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(3,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(3,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(3,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")
end


if wavelevel == "4" then
subplot(4,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(4,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(4,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(4,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(4,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(4,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(4,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(4,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

end


if wavelevel == "5" then
subplot(5,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(5,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(5,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(5,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(5,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(5,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(5,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(5,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(5,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(5,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

end


if wavelevel == "6" then
subplot(6,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(6,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(6,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(6,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(6,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(6,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(6,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(6,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(6,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(6,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

subplot(6,2,11);
histplot(strtod(bins), A6, style=[color("blue")]);
xtitle("A6")
subplot(6,2,12);
histplot(strtod(bins), D6, style=[color("green")]);
xtitle("D6")

end


if wavelevel == "7" then
subplot(7,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(7,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(7,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(7,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(7,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(7,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(7,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(7,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(7,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(7,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

subplot(7,2,11);
histplot(strtod(bins), A6, style=[color("blue")]);
xtitle("A6")
subplot(7,2,12);
histplot(strtod(bins), D6, style=[color("green")]);
xtitle("D6")

subplot(7,2,13);
histplot(strtod(bins), A7, style=[color("blue")]);
xtitle("A7")
subplot(7,2,14);
histplot(strtod(bins), D7, style=[color("green")]);
xtitle("D7")

end

if wavelevel == "8" then
subplot(8,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(8,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(8,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(8,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(8,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(8,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(8,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(8,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(8,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(8,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

subplot(8,2,11);
histplot(strtod(bins), A6, style=[color("blue")]);
xtitle("A6")
subplot(8,2,12);
histplot(strtod(bins), D6, style=[color("green")]);
xtitle("D6")

subplot(8,2,13);
histplot(strtod(bins), A7, style=[color("blue")]);
xtitle("A7")
subplot(8,2,14);
histplot(strtod(bins), D7, style=[color("green")]);
xtitle("D7")

subplot(8,2,15);
histplot(strtod(bins), A8, style=[color("blue")]);
xtitle("A8")
subplot(8,2,16);
histplot(strtod(bins), D8,style=[color("green")]);
xtitle("D8")

end

if wavelevel == "9" then
subplot(9,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(9,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(9,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(9,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(9,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(9,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(9,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(9,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(9,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(9,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

subplot(9,2,11);
histplot(strtod(bins), A6, style=[color("blue")]);
xtitle("A6")
subplot(9,2,12);
histplot(strtod(bins), D6, style=[color("green")]);
xtitle("D6")

subplot(9,2,13);
histplot(strtod(bins), A7, style=[color("blue")]);
xtitle("A7")
subplot(9,2,14);
histplot(strtod(bins), D7, style=[color("green")]);
xtitle("D7")

subplot(9,2,15);
histplot(strtod(bins), A8, style=[color("blue")]);
xtitle("A8")
subplot(9,2,16);
histplot(strtod(bins), D8,style=[color("green")]);
xtitle("D8")

subplot(9,2,17);
histplot(strtod(bins), A9, style=[color("blue")]);
xtitle("A9")
subplot(9,2,18);
histplot(strtod(bins), D9, style=[color("green")]);
xtitle("D9")

end

if wavelevel == "10" then
subplot(10,2,1);
histplot(strtod(bins), A1, style=[color("blue")]);
xtitle("A1")
subplot(10,2,2);
histplot(strtod(bins), D1, style=[color("green")]);
xtitle("D1")

subplot(10,2,3);
histplot(strtod(bins), A2, style=[color("blue")]);
xtitle("A2")
subplot(10,2,4);
histplot(strtod(bins), D2,style=[color("green")]);
xtitle("D2")

subplot(10,2,5);
histplot(strtod(bins), A3, style=[color("blue")]);
xtitle("A3")
subplot(10,2,6);
histplot(strtod(bins), D3, style=[color("green")]);
xtitle("D3")

subplot(10,2,7);
histplot(strtod(bins), A4, style=[color("blue")]);
xtitle("A4")
subplot(10,2,8);
histplot(strtod(bins), D4, style=[color("green")]);
xtitle("D4")

subplot(10,2,9);
histplot(strtod(bins), A5, style=[color("blue")]);
xtitle("A5")
subplot(10,2,10);
histplot(strtod(bins), D5, style=[color("green")]);
xtitle("D5")

subplot(10,2,11);
histplot(strtod(bins), A6, style=[color("blue")]);
xtitle("A6")
subplot(10,2,12);
histplot(strtod(bins), D6, style=[color("green")]);
xtitle("D6")

subplot(10,2,13);
histplot(strtod(bins), A7, style=[color("blue")]);

xtitle("A7")
subplot(10,2,14);
histplot(strtod(bins), D7, style=[color("green")]);
xtitle("D7")

subplot(10,2,15);
histplot(strtod(bins), A8, style=[color("blue")]);
xtitle("A8")
subplot(10,2,16);
histplot(strtod(bins), D8,style=[color("green")]);
xtitle("D8")

subplot(10,2,17);
histplot(strtod(bins), A9, style=[color("blue")]);
xtitle("A9")
subplot(10,2,18);
histplot(strtod(bins), D9, style=[color("green")]);
xtitle("D9")

subplot(10,2,19);
histplot(strtod(bins), A10, style=[color("blue")]);
xtitle("A10")
subplot(10,2,20);
histplot(strtod(bins), D10, style=[color("green")]);
xtitle("D10")
end


endfunction


function [C,L]=procesar(SERIE,wavename,wavelevel)
clear ('C','L');
[C,L]=wavedec(SERIE,strtod(wavelevel, ","),wavename);
endfunction

function [Lo_D,Hi_D,Lo_R,Hi_R]=procesarFILTRO(SERIE,wavename,wavelevel)
clear ('Lo_D','Hi_D','Lo_R','Hi_R');
[Lo_D,Hi_D,Lo_R,Hi_R]=wfilters(wavename);
endfunction


function [A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10]=procesarAD(SERIE,wavename,wavelevel)

n = strtod(wavelevel, ",");

    A1 = 0;  D1 = 0;  A2 = 0;   A3 = 0;  A4 = 0;   A5 = 0;
    A6 = 0;  D2 = 0;  D3 = 0;   D4 = 0;  D5 = 0;   D6 = 0;
    A7 = 0;  A8 = 0;  A9 = 0;   A10 = 0; D7 = 0;   D8 = 0;
    D9 = 0;  D10 = 0;

if n >= 1 then
    A1 = wrcoef('a',C,L,wavename,1);
    D1 = wrcoef('d',C,L,wavename,1);
end

if n >= 2 then
    A2 = wrcoef('a',C,L,wavename,2);
    D2 = wrcoef('d',C,L,wavename,2);
end

if n >= 3 then
    A3 = wrcoef('a',C,L,wavename,3);
    D3 = wrcoef('d',C,L,wavename,3);
end

if n >= 4 then
    A4 = wrcoef('a',C,L,wavename,4);
    D4 = wrcoef('d',C,L,wavename,4);
end

if n >= 5 then
    A5 = wrcoef('a',C,L,wavename,5);
    D5 = wrcoef('d',C,L,wavename,5);
end

if n >= 6 then
    A6 = wrcoef('a',C,L,wavename,6);
    D6 = wrcoef('d',C,L,wavename,6);
end

if n >= 7 then
    A7 = wrcoef('a',C,L,wavename,7);
    D7 = wrcoef('d',C,L,wavename,7);
end

if n >= 8 then
    A8 = wrcoef('a',C,L,wavename,8);
    D8 = wrcoef('d',C,L,wavename,8);
end

if n >= 9 then
    A9 = wrcoef('a',C,L,wavename,9);
    D9 = wrcoef('d',C,L,wavename,9);
end

if n >= 10 then
    A10 = wrcoef('a',C,L,wavename,10);
    D10 = wrcoef('d',C,L,wavename,10);
end

endfunction

function [cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10]=procesarCOEFAD(SERIE,wavename,wavelevel)

n = strtod(wavelevel, ",");

    cA1 = 0;  cD1 = 0;  cA2 = 0;   cA3 = 0;  cA4 = 0;   cA5 = 0;
    cA6 = 0;  cD2 = 0;  cD3 = 0;   cD4 = 0;  cD5 = 0;   cD6 = 0;
    cA7 = 0;  cA8 = 0;  cA9 = 0;   cA10 = 0; cD7 = 0;   cD8 = 0;
    cD9 = 0;  cD10 = 0;

if n >= 1 then
    cA1 = appcoef(C,L,wavename,1);
    cA1 = cA1 .*. [1 0 ];
    cD1 = detcoef(C,L,1);
    cD1 = cD1 .*. [1 0 ];
end

if n >= 2 then
    cA2 = appcoef(C,L,wavename,2);
    cA2 = cA2 .*. [1 0 0 0];
    cD2 = detcoef(C,L,2);
    cD2 = cD2 .*. [1 0 0 0];
end

if n >= 3 then
    cA3 = appcoef(C,L,wavename,3);
    cA3 = cA3 .*. [1 0 0 0 0 0 0 0];
    cD3 = detcoef(C,L,3);
    cD3 = cD3 .*. [1 0 0 0 0 0 0 0];
  
end

if n >= 4 then
    cA4 = appcoef(C,L,wavename,4);
    cA4 = cA4 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    cD4 = detcoef(C,L,4);
    cD4 = cD4 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
end

if n >= 5 then
    cA5 = appcoef(C,L,wavename,5);
    cA5 = cA5 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    cD5 = detcoef(C,L,5);
    cD5 = cD5 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
end

if n >= 6 then
    cA6 = appcoef(C,L,wavename,6);
    cA6 = cA6 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    cD6 = detcoef(C,L,6);
    cD6 = cD6 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
end

if n >= 7 then
    cA7 = appcoef(C,L,wavename,7);
    cA7 = cA7 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    cD7 = detcoef(C,L,7);
    cD7 = cD7 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];

end

if n >= 8 then
    cA8 = appcoef(C,L,wavename,8);
    cA8 = cA8 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];

    cD8 = detcoef(C,L,8);
    cD8 = cD8 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    
end

if n >= 9 then
    cA9 = appcoef(C,L,wavename,9);
    cA9 = cA9 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
    cD9 = detcoef(C,L,9);
    cD9 = cD9 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];

end

if n >= 10 then
    cA10 = appcoef(C,L,wavename,10);
    cA10 = cA10 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];

    cD10 = detcoef(C,L,10);
    cD10 = cD10 .*. [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];

end

endfunction


function [wavename]=popupmenu_callback()
    pop = get("popupmenu_demo");
    items = get(pop, "String");
    selected = get(pop, "Value");
    wavename= items(selected);
//    msg = msprintf(gettext("Usted seleccionó ''%s''."), items(selected));
//    messagebox(msg, gettext("Selección de Wavelet"), "info", "modal");
endfunction

function [wavelevel]=popupmenu2_callback()
    pop = get("popupmenu_level");
    items = get(pop, "String");
    selected = get(pop, "Value");
    wavelevel= items(selected);
//    msg = msprintf(gettext("Usted seleccionó nivel ''%s''."), items(selected));
//    messagebox(msg, gettext("Selección de Nivel"), "info", "modal");
endfunction

function plot_graficar_C(C)
f=scf(2) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(C,leg="C");
endfunction

function plot_graficar_L(L)
f=scf(3) //get the handle of the current figure :
f.figure_position=[565,150]
f.figure_size=[800,600]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
plot2d(L,leg="L");
endfunction

function plot_graficar_AD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists


if wavelevel == "1" then
subplot(3,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(3,1,2);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(3,1,3);
plot2d(D1,leg="D1",style=[color("green4")]);
xgrid;
end

if wavelevel == "2" then
subplot(4,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(4,1,2);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(4,1,3);
plot2d(D2,leg="D2",style=[color("green4")]);
xgrid;
subplot(4,1,4);
plot2d(D1,leg="D1",style=[color("green3")]);
xgrid;
end 

if wavelevel == "3" then
subplot(5,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,1,2);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(5,1,3);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(5,1,4);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(5,1,5);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "4" then
subplot(6,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,1,2);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(6,1,3);
plot2d(D4,leg="D4",style=[color("green")]);
xgrid;
subplot(6,1,4);
plot2d(D3,leg="D3",style=[color("green")]);
xgrid;
subplot(6,1,5);
plot2d(D2,leg="D2",style=[color("green")]);
xgrid;
subplot(6,1,6);
plot2d(D1,leg="D1",style=[color("green")]);
xgrid;
end

if wavelevel == "5" then
subplot(7,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(7,1,2);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(7,1,3);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(7,1,4);
plot2d(D4,leg="D4",style=[color("green3")]);
xgrid;
subplot(7,1,5);
plot2d(D3,leg="D3",style=[color("green2")]);
xgrid;
subplot(7,1,6);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(7,1,7);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end

if wavelevel == "6" then
subplot(8,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(8,1,2);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(8,1,3);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(8,1,4);
plot2d(D5,leg="D5",style=[color("green3")]);
xgrid;
subplot(8,1,5);
plot2d(D4,leg="D4",style=[color("green2")]);
xgrid;
subplot(8,1,6);
plot2d(D3,leg="D3",style=[color("green1")]);
xgrid;
subplot(8,1,7);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(8,1,8);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end


if wavelevel == "7" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,2);
plot2d(A7,leg="A7",style=[color("blue")]);
xgrid;
subplot(5,2,3);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(5,2,4);
plot2d(D6,leg="D6",style=[color("green3")]);
xgrid;
subplot(5,2,5);
plot2d(D5,leg="D5",style=[color("green2")]);
xgrid;
subplot(5,2,6);
plot2d(D4,leg="D4",style=[color("green1")]);
xgrid;
subplot(5,2,7);
plot2d(D3,leg="D3",style=[color("green1")]);
xgrid;
subplot(5,2,8);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(5,2,9);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end

if wavelevel == "8" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,2);
plot2d(A8,leg="A8",style=[color("blue")]);
xgrid;
subplot(5,2,3);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(5,2,4);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(5,2,5);
plot2d(D6,leg="D6",style=[color("green3")]);
xgrid;
subplot(5,2,6);
plot2d(D5,leg="D5",style=[color("green2")]);
xgrid;
subplot(5,2,7);
plot2d(D4,leg="D4",style=[color("green1")]);
xgrid;
subplot(5,2,8);
plot2d(D3,leg="D3",style=[color("green1")]);
xgrid;
subplot(5,2,9);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(5,2,10);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end

if wavelevel == "9" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,2);
plot2d(A9,leg="A9",style=[color("blue")]);
xgrid;
subplot(6,2,3);
plot2d(D9,leg="D9",style=[color("green4")]);
xgrid;
subplot(6,2,4);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(6,2,6);
plot2d(D6,leg="D6",style=[color("green3")]);
xgrid;
subplot(6,2,7);
plot2d(D5,leg="D5",style=[color("green2")]);
xgrid;
subplot(6,2,8);
plot2d(D4,leg="D4",style=[color("green1")]);
xgrid;
subplot(6,2,9);
plot2d(D3,leg="D3",style=[color("green1")]);
xgrid;
subplot(6,2,10);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(6,2,11);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end

if wavelevel == "10" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,2);
plot2d(A10,leg="A10",style=[color("blue")]);
xgrid;
subplot(6,2,3);
plot2d(D10,leg="D10",style=[color("green4")]);
xgrid;
subplot(6,2,4);
plot2d(D9,leg="D9",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(6,2,6);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(6,2,7);
plot2d(D6,leg="D6",style=[color("green3")]);
xgrid;
subplot(6,2,8);
plot2d(D5,leg="D5",style=[color("green2")]);
xgrid;
subplot(6,2,9);
plot2d(D4,leg="D4",style=[color("green1")]);
xgrid;
subplot(6,2,10);
plot2d(D3,leg="D3",style=[color("green1")]);
xgrid;
subplot(6,2,11);
plot2d(D2,leg="D2",style=[color("green1")]);
xgrid;
subplot(6,2,12);
plot2d(D1,leg="D1",style=[color("green1")]);
xgrid;
end

endfunction

function plot_graficar_COEFAD(cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists


if wavelevel == "1" then
subplot(3,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(3,1,2);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(3,1,3);
plot2d(cD1,leg="cD1",style=[color("green4")]);
xgrid;
end

if wavelevel == "2" then
subplot(4,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(4,1,2);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(4,1,3);
plot2d(cD2,leg="cD2",style=[color("green4")]);
xgrid;
subplot(4,1,4);
plot2d(cD1,leg="cD1",style=[color("green3")]);
xgrid;
end 

if wavelevel == "3" then
subplot(5,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,1,2);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(5,1,3);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(5,1,4);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(5,1,5);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "4" then
subplot(6,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,1,2);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(6,1,3);
plot2d(cD4,leg="cD4",style=[color("green")]);
xgrid;
subplot(6,1,4);
plot2d(cD3,leg="cD3",style=[color("green")]);
xgrid;
subplot(6,1,5);
plot2d(cD2,leg="cD2",style=[color("green")]);
xgrid;
subplot(6,1,6);
plot2d(cD1,leg="cD1",style=[color("green")]);
xgrid;
end

if wavelevel == "5" then
subplot(7,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(7,1,2);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(7,1,3);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(7,1,4);
plot2d(cD4,leg="cD4",style=[color("green3")]);
xgrid;
subplot(7,1,5);
plot2d(cD3,leg="cD3",style=[color("green2")]);
xgrid;
subplot(7,1,6);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(7,1,7);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end

if wavelevel == "6" then
subplot(8,1,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(8,1,2);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(8,1,3);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(8,1,4);
plot2d(cD5,leg="cD5",style=[color("green3")]);
xgrid;
subplot(8,1,5);
plot2d(cD4,leg="cD4",style=[color("green2")]);
xgrid;
subplot(8,1,6);
plot2d(cD3,leg="cD3",style=[color("green1")]);
xgrid;
subplot(8,1,7);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(8,1,8);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end


if wavelevel == "7" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,2);
plot2d(cA7,leg="cA7",style=[color("blue")]);
xgrid;
subplot(5,2,3);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(5,2,4);
plot2d(cD6,leg="cD6",style=[color("green3")]);
xgrid;
subplot(5,2,5);
plot2d(cD5,leg="cD5",style=[color("green2")]);
xgrid;
subplot(5,2,6);
plot2d(cD4,leg="cD4",style=[color("green1")]);
xgrid;
subplot(5,2,7);
plot2d(cD3,leg="cD3",style=[color("green1")]);
xgrid;
subplot(5,2,8);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(5,2,9);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end

if wavelevel == "8" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,2);
plot2d(cA8,leg="cA8",style=[color("blue")]);
xgrid;
subplot(5,2,3);
plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(5,2,4);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(5,2,5);
plot2d(cD6,leg="cD6",style=[color("green3")]);
xgrid;
subplot(5,2,6);
plot2d(cD5,leg="cD5",style=[color("green2")]);
xgrid;
subplot(5,2,7);
plot2d(cD4,leg="cD4",style=[color("green1")]);
xgrid;
subplot(5,2,8);
plot2d(cD3,leg="cD3",style=[color("green1")]);
xgrid;
subplot(5,2,9);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(5,2,10);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end

if wavelevel == "9" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,2);
plot2d(cA9,leg="cA9",style=[color("blue")]);
xgrid;
subplot(6,2,3);
plot2d(cD9,leg="cD9",style=[color("green4")]);
xgrid;
subplot(6,2,4);
plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(6,2,6);
plot2d(cD6,leg="cD6",style=[color("green3")]);
xgrid;
subplot(6,2,7);
plot2d(cD5,leg="cD5",style=[color("green2")]);
xgrid;
subplot(6,2,8);
plot2d(cD4,leg="cD4",style=[color("green1")]);
xgrid;
subplot(6,2,9);
plot2d(cD3,leg="cD3",style=[color("green1")]);
xgrid;
subplot(6,2,10);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(6,2,11);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end

if wavelevel == "10" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,2);
plot2d(cA10,leg="cA10",style=[color("blue")]);
xgrid;
subplot(6,2,3);
plot2d(cD10,leg="cD10",style=[color("green4")]);
xgrid;
subplot(6,2,4);
plot2d(cD9,leg="cD9",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(6,2,6);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(6,2,7);
plot2d(cD6,leg="cD6",style=[color("green3")]);
xgrid;
subplot(6,2,8);
plot2d(cD5,leg="cD5",style=[color("green2")]);
xgrid;
subplot(6,2,9);
plot2d(cD4,leg="cD4",style=[color("green1")]);
xgrid;
subplot(6,2,10);
plot2d(cD3,leg="cD3",style=[color("green1")]);
xgrid;
subplot(6,2,11);
plot2d(cD2,leg="cD2",style=[color("green1")]);
xgrid;
subplot(6,2,12);
plot2d(cD1,leg="cD1",style=[color("green1")]);
xgrid;
end

endfunction
///////////////
function plot_graficar_COEFADFOURIER(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists


if wavelevel == "1" then
subplot(3,2,1);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,SERIE,leg="Serie: " + file_name,style=[color("red")]);
xgrid;
subplot(3,2,2);
xlabel(xlabel1);
plot2d(x,abs(fftshift(fft(SERIE))),leg="Tran. Discreta Fourier Serie " + file_name,style=[color("red")]);
xgrid;
subplot(3,2,3);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,A1,leg="Aproximación Nivel 1 - A1",style=[color("blue")]);
xgrid;
subplot(3,2,4);
xlabel(xlabel1);
plot2d(x,abs(fftshift(fft(A1))),leg="A1 de DFT",style=[color("blue")]);
xgrid;
subplot(3,2,5);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,D1,leg="Detalle Nivel 1 - D1",style=[color("green4")]);
xgrid;
subplot(3,2,6);
xlabel(xlabel1);
plot2d(x,abs(fftshift(fft(D1))),leg="D1 de DFT",style=[color("green4")]);
xgrid;
end

if wavelevel == "2" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,2);
plot2d(abs(fftshift(fft(SERIE))),leg="DFT Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,3);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(5,2,4);
plot2d(abs(fftshift(fft(A2))),leg="DFT A2",style=[color("blue")]);
xgrid;
subplot(5,2,5);
plot2d(D2,leg="D2",style=[color("green4")]);
xgrid;
subplot(5,2,6);
plot2d(abs(fftshift(fft(D2))),leg="D2 DFT",style=[color("green4")]);
xgrid;
subplot(5,2,7);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(5,2,8);
plot2d(abs(fftshift(fft(A1))),leg="A1 DFT",style=[color("blue")]);
xgrid;
subplot(5,2,9);
plot2d(D1,leg="D1",style=[color("green3")]);
xgrid;
subplot(5,2,10);
plot2d(abs(fftshift(fft(D1))),leg="D1 DFT",style=[color("green3")]);
xgrid;
end 

endfunction




////////////////



function plot_graficar_FILTRO(Lo_D,Hi_D,Lo_R,Hi_R)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists

subplot(2,2,1);
plot2d(Lo_D,leg="Lo_D");
subplot(2,2,2);
plot2d(Hi_D,leg="Hi_D");
subplot(2,2,3);
plot2d(Lo_R,leg="Lo_R");
subplot(2,2,4);
plot2d(Hi_R,leg="Hi_R");
endfunction

function [xd]=procesarDNOISE(SERIE,wavename,wavelevel)
clear ('xn','xcomp','xd');

xd = wden(SERIE,'heursure','s','one',strtod(wavelevel, ","),wavename);
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists
res = (SERIE - xd)

subplot(3,1,1);
plot2d(SERIE,leg="Signal",style=[color("red")]);
xgrid;
subplot(3,1,2);
plot2d(xd,leg="de-noised signal",style=[color("blue")]);
xgrid;
subplot(3,1,3);
plot2d(res,leg="RES = S - Ds",style=[color("orange")]);
xgrid;

endfunction

function [xd]=procesarFOURIER(SERIE)
clear ('xn','xcomp','xd');

Fs=evstr(x_dialog('Ingrese Sampling frequency por ejemplo 1kHz','1000'))
//Sampling
//Fs = 1000;
T = 1/Fs;
L = length(SERIE); 
t = (0:L-1)*T;

xd = fft(SERIE);
xd2 = abs(fftshift(xd));

P2 = abs(xd/L);
P1 = P2(1:L/2+1);
P1(2:$-1) = 2*P1(2:$-1);

fre = Fs*(0:(L/2))/L;

f=scf(3) 
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  

leyenda=string("Señal: " + string(file_name))
subplot(2,1,1);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,SERIE,leg=leyenda,style=[color("red")]);
xgrid;
subplot(2,1,2);
xlabel(xlabel1);
plot2d(x,xd2,leg="Transformada discreta de Fourier de "+file_name,style=[color("blue")]);
xgrid;

f=scf(4) 
f.figure_position=[500,100]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  

subplot(1,1,1);
title('Single-Sided Amplitude Spectrum of Signal(t)')
xlabel('f(Hz)')
ylabel('|P1(f)|')
plot2d(fre,P1);
xgrid;
endfunction


function [xd]=procesarCORR(SERIE,wavename,wavelevel)
camino=pwd();
    file_name = x_dialog(_("Ingrese LA SERIE 1 Correcta, serieel Nombre Del Archivo Guardado en "+camino), "FIT_IB3.csv");
    s=csvRead(file_name);
    serie_name= "SERIE";
    
    file_name2 = x_dialog(_("Ingrese LA SERIE 2 Afectada, el Nombre Del Archivo Guardado en "+camino), "S_IB3_CE.csv");
    s2=csvRead(file_name2);
    
    file_name_x2 = x_dialog(_("Ingrese el Nombre Del Archivo Serie Abscisa X Guardado en "+camino), "EJE_X2.csv");
    x2=csvRead(file_name_x2);

clear ('xd');

[c, ind] = xcorr(s,s2,128,"unbiased"); 
final = (max(c,0).^2)/(norm(s2).^2);
[n1, n2] = size(c);
disp(n1);
disp(c);

//save('c.dat',c);
csvWrite(c, 'c.dat');
//t=1:0.001:0.257;

f=scf(3) 
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  

subplot(4,1,1);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,s,leg="SERIE: "+file_name,style=[color("red")]);
xgrid;
subplot(4,1,2);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,s2,leg="SERIE:"+file_name2,style=[color("blue")]);
xgrid;
subplot(4,1,3);
plot2d(x2,c,leg="Correlacion en las series "+file_name+" y "+file_name2,style=[color("orange")]);
xgrid;
subplot(4,1,4);
plot2d(x2,final,leg="Valores Positivos al Cuadrados",style=[color("green")]);
xgrid;

endfunction

//CORRL2
function [xd]=procesarCORRE2(SERIE,wavename,wavelevel)
camino=pwd();
    file_name = x_dialog(_("Ingrese LA SERIE 1 Correcta, Nombre Del Archivo Guardado en "+camino), "FIT_IB3.csv");
    s=csvRead(file_name); //serie correcta
    serie_name= "SERIE";
    
    file_name2 = x_dialog(_("Ingrese LA SERIE 2 Afectada, el Nombre Del Archivo Guardado en "+camino), "S_IB3_CE.csv");
    s2=csvRead(file_name2); //serie afectada

//Obtener C y L    
[Cs,Ls]=wavedec(s,strtod(wavelevel, ","),wavename);
[Cs2,Ls2]=wavedec(s2,strtod(wavelevel, ","),wavename);

n = strtod(wavelevel, ","); // obtener wavelevel

//if n == 4 then
    A4s = wrcoef('a',Cs,Ls,wavename,n);
    D4s = wrcoef('d',Cs,Ls,wavename,n);

    A4s2 = wrcoef('a',Cs2,Ls2,wavename,n);
    D4s2 = wrcoef('d',Cs2,Ls2,wavename,n);
//end

Ds = (s-A4s);
Ds2 = (s2-A4s2);

clear ('xd');

[c, ind] = xcorr(Ds,Ds2); 
final = (max(c,0).^2)/(norm(Ds2).^2);

f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists

subplot(4,1,1);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,s,leg="SERIE: "+file_name,style=[color("red")]);
xgrid;
subplot(4,1,2);
xlabel(xlabel1);
ylabel(ylabel1);
plot2d(x,s2,leg="SERIE: "+file_name2,style=[color("blue")]);
xgrid;
subplot(4,1,3);
xlabel(xlabel1);
plot2d(x,Ds,leg="Ds=Serie "+file_name+" – A4",style=[color("red")]);
xgrid;
subplot(4,1,4);
xlabel(xlabel1);
plot2d(x,Ds2,leg="Ds2=Serie "+file_name2+" – A4",style=[color("blue")]);
xgrid;

f=scf(4) //get the handle of the current figure :
f.figure_position=[500,100]
f.figure_size=[800,620]
f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists

subplot(2,1,1);
plot2d(c,leg="Correlacion entre Ds y Ds2",style=[color("orange")]);
xgrid;
subplot(2,1,2);
plot2d(final,leg="Valores Positivos al Cuadrados",style=[color("green")]);
xgrid;


endfunction



//function plot_graficar_DNOISE(xn,xcomp,xd)
//f=scf(3) //get the handle of the current figure :
//f.figure_position=[565,150]
//f.figure_size=[800,600]
//f.menubar_visible="on"
//f.children  // man can see that an Axes entity already exists

//subplot(3,1,1);
//plot2d(xn,leg="noisy signal");
//subplot(3,1,2);
//plot2d(xcomp,'r',leg="compressed signal");
//subplot(3,1,3);
//plot2d(xd,leg="de-noised signal");
//endfunction

function plot_graficar_AD2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists


if wavelevel == "1" then
subplot(2,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(2,2,3);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(2,2,4);
plot2d(D1,leg="D1",style=[color("green4")]);
xgrid;
end

if wavelevel == "2" then
subplot(3,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(3,2,3);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(3,2,4);
plot2d(D2,leg="D2",style=[color("green4")]);
xgrid;
subplot(3,2,5);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(3,2,6);
plot2d(D1,leg="D1",style=[color("green3")]);
xgrid;
end 

if wavelevel == "3" then
subplot(4,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(4,2,3);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(4,2,4);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(4,2,5);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(4,2,6);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(4,2,7);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(4,2,8);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "4" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,3);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(5,2,4);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(5,2,5);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(5,2,6);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(5,2,7);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(5,2,8);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(5,2,9);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(5,2,10);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "5" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,3);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(6,2,4);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(6,2,6);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(6,2,7);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(6,2,8);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(6,2,9);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(6,2,10);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(6,2,11);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(6,2,12);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "6" then
subplot(7,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(7,2,3);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(7,2,4);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(7,2,5);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(7,2,6);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(7,2,7);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(7,2,8);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(7,2,9);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(7,2,10);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(7,2,11);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(7,2,12);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(7,2,13);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(7,2,14);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end


if wavelevel == "7" then
subplot(8,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(8,2,3);
plot2d(A7,leg="A7",style=[color("blue")]);
xgrid;
subplot(8,2,4);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(8,2,5);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(8,2,6);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(8,2,7);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(8,2,8);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(8,2,9);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(8,2,10);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(8,2,11);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(8,2,12);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(8,2,13);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(8,2,14);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(8,2,15);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(8,2,16);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "8" then
subplot(9,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(9,2,3);
plot2d(A8,leg="A8",style=[color("blue")]);
xgrid;
subplot(9,2,4);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(9,2,5);
plot2d(A7,leg="A7",style=[color("blue")]);
xgrid;
subplot(9,2,6);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(9,2,7);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(9,2,8);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(9,2,9);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(9,2,10);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(9,2,11);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(9,2,12);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(9,2,13);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(9,2,14);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(9,2,15);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(9,2,16);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(9,2,17);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(9,2,18);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end

if wavelevel == "9" then
subplot(10,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(10,2,3);
plot2d(A9,leg="A9",style=[color("blue")]);
xgrid;
subplot(10,2,4);
plot2d(D9,leg="D9",style=[color("green4")]);
xgrid;
subplot(10,2,5);
plot2d(A8,leg="A8",style=[color("blue")]);
xgrid;
subplot(10,2,6);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(10,2,7);
plot2d(A7,leg="A7",style=[color("blue")]);
xgrid;
subplot(10,2,8);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(10,2,9);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(10,2,10);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(10,2,11);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(10,2,12);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(10,2,13);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(10,2,14);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(10,2,15);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(10,2,16);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(10,2,17);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(10,2,18);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(10,2,19);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(10,2,20);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end


if wavelevel == "10" then
subplot(11,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(11,2,3);
plot2d(A10,leg="A10",style=[color("blue")]);
xgrid;
subplot(11,2,4);
plot2d(D10,leg="D10",style=[color("green4")]);
xgrid;
subplot(11,2,5);
plot2d(A9,leg="A9",style=[color("blue")]);
xgrid;
subplot(11,2,6);
plot2d(D9,leg="D9",style=[color("green4")]);
xgrid;
subplot(11,2,7);
plot2d(A8,leg="A8",style=[color("blue")]);
xgrid;
subplot(11,2,8);
plot2d(D8,leg="D8",style=[color("green4")]);
xgrid;
subplot(11,2,9);
plot2d(A7,leg="A7",style=[color("blue")]);
xgrid;
subplot(11,2,10);
plot2d(D7,leg="D7",style=[color("green4")]);
xgrid;
subplot(11,2,11);
plot2d(A6,leg="A6",style=[color("blue")]);
xgrid;
subplot(11,2,12);
plot2d(D6,leg="D6",style=[color("green4")]);
xgrid;
subplot(11,2,13);
plot2d(A5,leg="A5",style=[color("blue")]);
xgrid;
subplot(11,2,14);
plot2d(D5,leg="D5",style=[color("green4")]);
xgrid;
subplot(11,2,15);
plot2d(A4,leg="A4",style=[color("blue")]);
xgrid;
subplot(11,2,16);
plot2d(D4,leg="D4",style=[color("green4")]);
xgrid;
subplot(11,2,17);
plot2d(A3,leg="A3",style=[color("blue")]);
xgrid;
subplot(11,2,18);
plot2d(D3,leg="D3",style=[color("green4")]);
xgrid;
subplot(11,2,19);
plot2d(A2,leg="A2",style=[color("blue")]);
xgrid;
subplot(11,2,20);
plot2d(D2,leg="D2",style=[color("green3")]);
xgrid;
subplot(11,2,21);
plot2d(A1,leg="A1",style=[color("blue")]);
xgrid;
subplot(11,2,22);
plot2d(D1,leg="D1",style=[color("green2")]);
xgrid;
end
endfunction

function plot_graficar_COEFAD2(cA1,cA2,cA3,cA4,cA5,cA6,cA7,cA8,cA9,cA10,cD1,cD2,cD3,cD4,cD5,cD6,cD7,cD8,cD9,cD10)
f=scf(3) //get the handle of the current figure :
f.figure_position=[400,50]
f.figure_size=[800,620]

f.menubar_visible="on"
f.children  // man can see that an Axes entity already exists


if wavelevel == "1" then
subplot(2,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(2,2,3);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(2,2,4);
plot2d(cD1,leg="cD1",style=[color("green4")]);
xgrid;
end

if wavelevel == "2" then
subplot(3,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(3,2,3);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(3,2,4);
plot2d(cD2,leg="cD2",style=[color("green4")]);
xgrid;
subplot(3,2,5);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(3,2,6);
plot2d(cD1,leg="cD1",style=[color("green3")]);
xgrid;
end 

if wavelevel == "3" then
subplot(4,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(4,2,3);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(4,2,4);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(4,2,5);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(4,2,6);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(4,2,7);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(4,2,8);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "4" then
subplot(5,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(5,2,3);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(5,2,4);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(5,2,5);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(5,2,6);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(5,2,7);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(5,2,8);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(5,2,9);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(5,2,10);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "5" then
subplot(6,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(6,2,3);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(6,2,4);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(6,2,5);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(6,2,6);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(6,2,7);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(6,2,8);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(6,2,9);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(6,2,10);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(6,2,11);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(6,2,12);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "6" then
subplot(7,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(7,2,3);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(7,2,4);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(7,2,5);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(7,2,6);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(7,2,7);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(7,2,8);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(7,2,9);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(7,2,10);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(7,2,11);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(7,2,12);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(7,2,13);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(7,2,14);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end


if wavelevel == "7" then
subplot(8,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(8,2,3);
plot2d(cA7,leg="cA7",style=[color("blue")]);
xgrid;
subplot(8,2,4);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(8,2,5);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(8,2,6);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(8,2,7);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(8,2,8);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(8,2,9);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(8,2,10);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(8,2,11);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(8,2,12);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(8,2,13);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(8,2,14);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(8,2,15);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(8,2,16);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "8" then
subplot(9,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(9,2,3);
plot2d(cA8,leg="cA8",style=[color("blue")]);
xgrid;
subplot(9,2,4);
plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(9,2,5);
plot2d(cA7,leg="cA7",style=[color("blue")]);
xgrid;
subplot(9,2,6);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(9,2,7);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(9,2,8);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(9,2,9);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(9,2,10);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(9,2,11);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(9,2,12);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(9,2,13);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(9,2,14);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(9,2,15);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(9,2,16);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(9,2,17);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(9,2,18);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end

if wavelevel == "9" then
subplot(10,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(10,2,3);
plot2d(cA9,leg="cA9",style=[color("blue")]);
xgrid;
subplot(10,2,4);
plot2d(cD9,leg="cD9",style=[color("green4")]);
xgrid;
subplot(10,2,5);
plot2d(cA8,leg="cA8",style=[color("blue")]);
xgrid;
subplot(10,2,6);
plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(10,2,7);
plot2d(cA7,leg="cA7",style=[color("blue")]);
xgrid;
subplot(10,2,8);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(10,2,9);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(10,2,10);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(10,2,11);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(10,2,12);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(10,2,13);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(10,2,14);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(10,2,15);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(10,2,16);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(10,2,17);

plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(10,2,18);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(10,2,19);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(10,2,20);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end


if wavelevel == "10" then
subplot(11,2,1);
plot2d(SERIE,leg="Serie Original",style=[color("red")]);
xgrid;
subplot(11,2,3);
plot2d(cA10,leg="cA10",style=[color("blue")]);
xgrid;
subplot(11,2,4);
plot2d(cD10,leg="cD10",style=[color("green4")]);
xgrid;
subplot(11,2,5);
plot2d(cA9,leg="cA9",style=[color("blue")]);
xgrid;
subplot(11,2,6);
plot2d(cD9,leg="cD9",style=[color("green4")]);
xgrid;
subplot(11,2,7);
plot2d(cA8,leg="cA8",style=[color("blue")]);
xgrid;
subplot(11,2,8);

plot2d(cD8,leg="cD8",style=[color("green4")]);
xgrid;
subplot(11,2,9);
plot2d(cA7,leg="cA7",style=[color("blue")]);
xgrid;
subplot(11,2,10);
plot2d(cD7,leg="cD7",style=[color("green4")]);
xgrid;
subplot(11,2,11);
plot2d(cA6,leg="cA6",style=[color("blue")]);
xgrid;
subplot(11,2,12);
plot2d(cD6,leg="cD6",style=[color("green4")]);
xgrid;
subplot(11,2,13);
plot2d(cA5,leg="cA5",style=[color("blue")]);
xgrid;
subplot(11,2,14);
plot2d(cD5,leg="cD5",style=[color("green4")]);
xgrid;
subplot(11,2,15);
plot2d(cA4,leg="cA4",style=[color("blue")]);
xgrid;
subplot(11,2,16);
plot2d(cD4,leg="cD4",style=[color("green4")]);
xgrid;
subplot(11,2,17);
plot2d(cA3,leg="cA3",style=[color("blue")]);
xgrid;
subplot(11,2,18);
plot2d(cD3,leg="cD3",style=[color("green4")]);
xgrid;
subplot(11,2,19);
plot2d(cA2,leg="cA2",style=[color("blue")]);
xgrid;
subplot(11,2,20);
plot2d(cD2,leg="cD2",style=[color("green3")]);
xgrid;
subplot(11,2,21);
plot2d(cA1,leg="cA1",style=[color("blue")]);
xgrid;
subplot(11,2,22);
plot2d(cD1,leg="cD1",style=[color("green2")]);
xgrid;
end
endfunction
